Bug 161894 - New port databases/datamodeler: Database modeling tool
New port databases/datamodeler: Database modeling tool
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: scheidell
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-22 11:00 UTC by jjuanino
Modified: 2012-03-21 04:50 UTC (History)
0 users

See Also:


Attachments
file.shar (48.24 KB, text/plain)
2011-10-22 11:00 UTC, jjuanino
no flags Details
datamodeler.shar (54.82 KB, application/x-shar)
2012-03-07 21:36 UTC, jjuanino
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description jjuanino 2011-10-22 11:00:23 UTC

Fix: Patch attached with submission follows:
Comment 1 Eitan Adler freebsd_committer 2011-12-25 18:28:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->eadler

I'll take it.
Comment 2 Eitan Adler freebsd_committer 2012-02-10 03:25:11 UTC
Responsible Changed
From-To: eadler->freebsd-ports-bugs

I can't deal with this one now
Comment 3 scheidell freebsd_committer 2012-03-03 10:14:05 UTC
José:

Thank you or your port submission.  We appreciate our developers and 
contributors and wanted to make sure that you are still interested in 
this port submission.
Once your port is accepted, updates and patches to it will be much faster.

Some quick comments, since I have not really tried to build this yet:

I noticed this port needs bash.  Bash is not included in the distributed 
version of FreeBSD, and should only be included as a dependency if these 
is some functionality in bash that is not in /bin/sh

Can you rework this to not require bash or do you feel that your 
files/datamodeler.script.in absolutely requires bash?

Also, please do not use IGNORE= to inform user about vendor licensing 
and distribution licensing, please look at the following port for an 
example of a standard way to do this.

/usr/ports/java/jdk16

Test your final port with portlint -N, then portlint -abt.

when you are done, resubmit your shar and someone will take a fresh look 
it it.
(actually, you might want to ask that this port be closed, since it sat 
so long.  opening a new port after this is closed will make it more 
likely a new committer will look at this port)

Thank you again, and sorry that these small issues were not communicated 
to you earlier.

-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 4 jjuanino 2012-03-07 21:36:47 UTC
> José:


Hi Michael,


> Thank you or your port submission. We appreciate our developers and
> contributors and wanted to make sure that you are still interested in
> this port submission.
> Once your port is accepted, updates and patches to it will be much faster.
>
> Some quick comments, since I have not really tried to build this yet:
>
> I noticed this port needs bash. Bash is not included in the distributed
> version of FreeBSD, and should only be included as a dependency if these
> is some functionality in bash that is not in /bin/sh


>
> Can you rework this to not require bash or do you feel that your
> files/datamodeler.script.in absolutely requires bash?



Bash is not required at all by files/datamodeler.script.in, but the overall of
vendor scripts do require it. Take a look at the shebang in

datamodeler/datamodeler/bin/datamodeler

In short: bash is required by the vendor shell scripts, thus the
initial shell script
needs to be a bash shell script.

> Also, please do not use IGNORE= to inform user about vendor licensing
> and distribution licensing, please look at the following port for an
> example of a standard way to do this.
>
> /usr/ports/java/jdk16


OK

>
> Test your final port with portlint -N, then portlint -abt.
>
> when you are done, resubmit your shar and someone will take a fresh look
> it it.
> (actually, you might want to ask that this port be closed, since it sat
> so long. opening a new port after this is closed will make it more
> likely a new committer will look at this port)
>
> Thank you again, and sorry that these small issues were not communicated
> to you earlier.


Thanks for your reply. I attach a new shar.

Best regards
Comment 5 scheidell freebsd_committer 2012-03-09 11:28:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

I'll take it.
Comment 6 scheidell freebsd_committer 2012-03-19 00:52:19 UTC
7.4 systems will not extract rpm even after cpio2rpm.

tar -ztvf /tmp/datamodeler-3.1.0.700-1.noarch.tgz
tar: Unrecognized archive format: Inappropriate file type or format
tar: Error exit delayed from previous errors.

8.2+ seems to be fine, so adding this to port.
.if ${OSVERSION} < 802514
IGNORE=         tarball will not extract
.endif

-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 7 dfilter freebsd_committer 2012-03-19 01:03:54 UTC
scheidell    2012-03-19 01:03:41 UTC

  FreeBSD ports repository

  Modified files:
    databases            Makefile 
  Added files:
    databases/datamodeler Makefile distinfo pkg-descr pkg-plist 
    databases/datamodeler/files datamodeler.script.sh.in 
  Log:
  Add new port databases/datamodeler: a free data and database modeling tool,
  providing a full range of utilities to support your data modeling needs. SQL
  Developer Data Modeler can connect to any supported Oracle Database and is
  - Note: will not extract for FreeBSD < 8.2
  
  PR:             ports/161894
  Submitted by:   José García Juanino <jjuanino@gmail.com> aintainer)
  Approved by:    José García Juanino <jjuanino@gmail.com> (maintaine
  Feature safe:   yes
  
  Revision  Changes    Path
  1.1090    +1 -0      ports/databases/Makefile
  1.1       +96 -0     ports/databases/datamodeler/Makefile (new)
  1.1       +2 -0      ports/databases/datamodeler/distinfo (new)
  1.1       +7 -0      ports/databases/datamodeler/files/datamodeler.script.sh.in (new)
  1.1       +6 -0      ports/databases/datamodeler/pkg-descr (new)
  1.1       +895 -0    ports/databases/datamodeler/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 scheidell freebsd_committer 2012-03-19 01:04:56 UTC
State Changed
From-To: open->closed

Committed, with changes, Thanks!
Comment 9 dfilter freebsd_committer 2012-03-21 04:42:39 UTC
jgh         2012-03-21 04:42:25 UTC

  FreeBSD ports repository

  Modified files:
    .                    LEGAL 
  Log:
  - add databases/datamodeler to LEGAL
  
  PR:     ports/161894
  Feature safe:   yes
  
  Revision  Changes    Path
  1.690     +2 -1      ports/LEGAL
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"